Crystal Space: iSndSysSoftwareFilter3D Struct Reference (Crystal Space Public API Reference)

| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iSndSysSoftwareFilter3D Struct Reference
[Sound system]

A sound filter is an interface to an object that modifies sequences of sound samples. More...

`#include <isndsys/ss_filter.h>`

Inheritance diagram for iSndSysSoftwareFilter3D:

[legend]
List of all members.

## Public Member Functions
virtual void | Apply (iSndSysSoftwareFilter3DProperties &properties)=0
| Apply this filter to the mutable buffer passed.
virtual iSndSysSoftwareFilter3D * | GetPtr ()=0
| Retrieve the base pointer for this filter.
| SCF_INTERFACE (iSndSysSoftwareFilter3D, 0, 1, 0)
| SCF2006 - See http://www.crystalspace3d.org/cseps/csep-0010.html.

## Detailed Description

A sound filter is an interface to an object that modifies sequences of sound samples.

Definition at line 57 of file ss_filter.h.

## Member Function Documentation

virtual void iSndSysSoftwareFilter3D::Apply | ( | iSndSysSoftwareFilter3DProperties & | properties | ) | `[pure virtual]`

Apply this filter to the mutable buffer passed.

The unmutable main buffer is also passed, although this is not likely to be very useful, since the main buffer has an unknown number of sources previously mixed in (possibly none). The sample_count is the number of samples available in both the mutable buffer and the main buffer. The format is the format of the audio.

virtual iSndSysSoftwareFilter3D* iSndSysSoftwareFilter3D::GetPtr | ( |  | ) | `[pure virtual]`

Retrieve the base pointer for this filter.

Used internally by the sound system.

iSndSysSoftwareFilter3D::SCF_INTERFACE | ( | iSndSysSoftwareFilter3D | ,
|  | 0 | ,
|  | 1 | ,
|  | 0 |  |
| ) |  |  |

SCF2006 - See http://www.crystalspace3d.org/cseps/csep-0010.html.

The documentation for this struct was generated from the following file:

- isndsys/ss_filter.h